Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class AdapterActivatorPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.AdapterActivatorPOA

All Implemented Interfaces:
  AdapterActivatorOperations, InvokeHandler

Direct Known Subclasses:
  AdapterActivatorPOATie

public abstract class AdapterActivatorPOA
extends Servant
implements AdapterActivatorOperations, InvokeHandler

Interface definition : AdapterActivator

Author:
  OpenORB Compiler

Constructor Summary
`AdapterActivatorPOA()`

Method Summary
`java.lang.String[]` | `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` | `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`AdapterActivator` | `_this()`
`AdapterActivator` | `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.PortableServer.AdapterActivatorOperations
`unknown_adapter`

Constructor Detail

### AdapterActivatorPOA

    public AdapterActivatorPOA()

Method Detail

### _this

    public AdapterActivator _this()

### _this

    public AdapterActivator _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD